# (Wandering) Sandpiper

> A simple PHP + XML + XSLT + CSS3 powered error reporting and collation system.

## Installation

 - Clone this repository
 - Setup Nginx and PHP-FPM to serve from the root of this repository
 - Make sure that:
	 - The `data/` directory, when it's created upon the submission of the first error report, is writeable
	 - `settings.toml` isn't accessible form the web
	 - A password is on the `data/` subdirectory, if desired
	 - PUT requests are suitably rate limited.
 - Create `settings.toml`, basing it's contents on `default_settings.toml`

## Usage

## Contributing
Contributions are welcome! Simply send a patch file to me, or a PR if I get around ot moving this to GitHub. The license of contributions muse be compatible with the license of this repository, of course.

## Todo
 - Figure out a clever solution to stop (theoretical) spam
 - Do some more thought experiments to identify any (more) potential vulnerabilities / problems
 - Figure out a way to allow collected stack traces to be deleted
 - Perhaps write a stack trace parser to figure out which file an error has occurred in
 - Add more to this list as I use it for real

## License
Sandpiper is licensed under the _Mozilla Public License 2.0_. The full text can be found in the _LICENSE_ file in the root of this repository.
